# ParticipantUtils | Android Developers

Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public final class

# ParticipantUtils

extends Object

java.lang.Object
↳ | com.google.android.gms.games.multiplayer.ParticipantUtils

## Class Overview

Utilities for working with multiplayer participants.

## Summary

Public Methods
static String | getParticipantId(ArrayList<Participant> participants, String playerId) Get the participant ID corresponding to a given player ID.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Public Methods

#### public static String getParticipantId (ArrayList<Participant> participants, String playerId)

Get the participant ID corresponding to a given player ID. If none of the provided participants represent the provided player, the return value will be null.

##### Parameters

participants | List of `Participant`s to check.
playerId | The player ID to find participant ID for.

##### Returns

- The participant ID of the given player, or null if not found.